Bug 865366 - repo update for adding gpg key fails with weird error
repo update for adding gpg key fails with weird error
Status: CLOSED UPSTREAM
Product: Katello
Classification: Community
Component: Client (Show other bugs)
1.X
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Katello QA List
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 05:49 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-29 10:31:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs tarball (548.72 KB, application/x-gzip)
2012-10-11 05:49 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2012-10-11 05:49:23 EDT
Created attachment 625474 [details]
logs tarball

Description of problem:
Doing on latest nightly katello CLI update of the repository with GPG Key fails with an error:
---
wrong status line: "HTTP/1.1 -1 "
---


Version-Release number of selected component (if applicable):
katello-1.1.13-1.git.161.96aa2bd.el6.noarch
katello-cli-1.1.9-1.git.128.d72c83d.el6.noarch


How reproducible:
always on recent nightly katello

Steps to Reproduce:
org create --name "test"
provider create --name test --org "test"
product create --name test --provider test --org test
repo create --name test --product test --org test --url http://repos.fedorapeople.org/repos/pulp/pulp/v1/stable/6Server/x86_64/
# (download some GPG key file to /tmp/test.gpg)
gpg_key create --name test --org test --file /tmp/test.gpg
repo update --name test --product test --org test --gpgkey test

Actual results:
failure (katello-debug logs are attached)

Expected results:
no failure - it's a regression actually (on recent CFSE 1.1 candidate it's working fine)

Additional info:
logs attached
Comment 1 Dmitri Dolguikh 2012-10-12 07:51:46 EDT
fixed in df352e7e366c612b46adf5c13bd0e5debf373bab
Comment 2 Lukas Zapletal 2012-10-29 10:31:14 EDT
Part of Katello 1.1 release

Note You need to log in before you can comment on or make changes to this bug.